<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('loan_orders', function (Blueprint $table) {
            $table->dropColumn('status_reason');
            $table->dropColumn('filled_by');
            $table->text('notes')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('loan_orders', function (Blueprint $table) {
            $table->string('status_reason')->nullable()->default('');
            $table->foreignId('filled_by')->nullable()->constrained('users')->restrictOnDelete();
            $table->string('notes')->nullable()->change();
        });
    }
};
